Skip to content

Apply History

POST
/rules/{rule_id}/apply-history
curl --request POST \
--url https://example.com/rules/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/apply-history \
--header 'Content-Type: application/json' \
--data '{ "dry_run": true, "include_user_categorized": false, "posted": "skip" }'
rule_id
required
Rule Id
string format: uuid
Media typeapplication/json
ApplyHistory
object
dry_run
Dry Run
boolean
default: true
include_user_categorized
Include User Categorized

Automation correcting automation is fine; overriding a human is opt-in.

boolean
posted
Posted
string
default: skip
Allowed values: skip correct

Successful Response

Media typeapplication/json
Response Apply History Rules Rule Id Apply History Post
object
key
additional properties
any

Example generated

{}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string

Example generated

{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}